Skip to main content
GET
/
api
/
sol
/
platform
/
pnl-ranges
Wallet PnL distribution by range
curl --request GET \
  --url 'https://uk.raze.sh/api/sol/platform/pnl-ranges?apiKey='
{
  "success": true,
  "period": "daily",
  "ranges": {
    ">100k": 123,
    "50k-100k": 123,
    "25k-50k": 123,
    "10k-25k": 123,
    "5k-10k": 123,
    "2.5k-5k": 123,
    "0-2.5k": 123
  },
  "totalProfitableWallets": 123,
  "solPriceUsd": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

apiKey
string
query
required

Query Parameters

period
enum<string>
default:daily

Time period to aggregate over

Available options:
daily,
weekly,
monthly

Response

Success

success
boolean
period
enum<string>
Available options:
daily,
weekly,
monthly
ranges
object

Wallet counts per PnL range (USD)

totalProfitableWallets
integer

Total number of wallets with positive PnL in this period

solPriceUsd
number
timestamp
string<date-time>